import { TMediaSize } from '@orderingstack/ordering-types';

export declare class MediaProxy {
    private static instance;
    private static proxyUrl;
    private static status;
    private static interval;
    static getInstance(): MediaProxy;
    getUrl: (url: string, size?: TMediaSize) => string;
    static getMediaToolsUrl: (url: string, size?: TMediaSize) => string;
    private static checkStatus;
    static getStatus: () => boolean;
    setProxyUrl: (url: string) => Promise<boolean>;
}
/**
 * @function getMediaUrl
 * Checks if given url is a supported image format from orderingstackmedia azure blob and returns resized image url OR original url. Defaults to 500px.
 */
export declare function getMediaUrl(url: string, size?: TMediaSize): string;
/**
 * @function useMediaUrl
 * Checks if given url is a supported image format from orderingstackmedia azure blob and returns resized image url OR original url. Defaults to 500px.
 */
export declare function useMediaUrl(url: string, size?: TMediaSize): string;
//# sourceMappingURL=useMediaUrl.d.ts.map